## udiskie 2.5.8

=== doc/Makefile ===
udiskie.8: udiskie.8.txt asciidoc.conf
	a2x --asciidoc-opts="-f asciidoc.conf" -f manpage -L udiskie.8.txt

.PHONY: clean
clean:
	rm -f udiskie.8

## udiskie 1.4.9

=== debian/changelog ===
udiskie (1.4.9-1) unstable; urgency=medium

  * New upstream release.
    - drop patches: upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Apr 2016 11:17:54 +0200

udiskie (1.4.8-1) unstable; urgency=medium

  * New upstream release.
    - drop patches: upstream.
  * debian/patches/98e9633136b31b63df3382dc9a5125967a3a0728.patch:
    fix typo in manpage
  * Use upstream manpages.
  * Update std-version and watch version.
  * Add keyutils to build dependencies, to fix testsuite
  * Fix unsecure url

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Feb 2016 17:05:29 +0100

udiskie (1.4.7-2) unstable; urgency=medium

  * fix build when the default encoding is not utf-8

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Jan 2016 17:23:25 +0100

udiskie (1.4.7-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Jan 2016 09:33:23 +0100

udiskie (1.4.6-5) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Fix VCS fields.
  * Use Breaks+Replaces

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Jan 2016 14:25:25 +0100

udiskie (1.4.6-4) unstable; urgency=medium

  * Fix installation issue, due to the new python* packages.
    (Closes: #809506). Thanks a lot Axel Beckert <abe@debian.org>
    for the useful bug report.
  * Add docbook-xsl, fixing FTBFS on Ubuntu.
    - remove python-yaml, useless now that the python2 package is dropped.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Jan 2016 13:27:03 +0100

udiskie (1.4.6-3) unstable; urgency=medium

  * Provides: keyword seems not enough to make apt choose udiskie.
    Using Method 2, aka two real transition packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Dec 2015 14:00:27 +0100

udiskie (1.4.6-2) unstable; urgency=medium

  * Provide python{,3}-udiskie to ease transition to the new package.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Dec 2015 11:30:04 +0100

udiskie (1.4.6-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Dec 2015 11:16:27 +0100

udiskie (1.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Move to section:utils
  * Refactor control file, with suggestions from
    #806560
  * Drop python2 package, and rename python3 package.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Dec 2015 18:11:20 +0100

python-udiskie (1.4.4-1) unstable; urgency=medium

  * New upstream release.
  * add gir1.2-gtk-3.0 to runtime dependencies
    (thanks Greg Bognar for the fix!)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Dec 2015 09:53:30 +0100

python-udiskie (1.4.1-1) unstable; urgency=medium

  * New upstream release.
    - (Closes: #806560)
  * switch to gtk-3 for build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Dec 2015 17:20:04 +0100

python-udiskie (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Sep 2015 10:50:32 +0200

python-udiskie (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update my uid.
  * Drop every patch, upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Sep 2015 17:16:49 +0200

python-udiskie (1.2.0-3) unstable; urgency=medium

  [ Nathan Schulte ]
  * Add python3-pkg-resources and python-pkg-resources as runtime dependency,
    needed to run the udskie python script. (Closes: #789822)

  [ Gianfranco Costamagna ]
  * Add libgtk2.0-bin to the control file:
    - gtk-update-icon-cache is used during the build.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 25 Jun 2015 14:38:45 +0200

python-udiskie (1.2.0-2) unstable; urgency=medium

  * Update copyright file
  * cherry-pick upstream commits to fix python3.4 compatibility issues
    and copyright missing information.
    - 6f7d12f8efde70133ca62044893f351c34b388e2.patch
      Documentation fixes
    - aa7cfa84a4f3f09508e5c8016e3198669c299501.patch
      This should fix the build failure with python3.4
    - b5f453c48fcbee7a7bbd59a725f0604f29687125.patch
      Update copyright notices

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 23 Jun 2015 10:25:35 +0200

python-udiskie (1.2.0-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Update watch file.
  * Update VCS field.
  * Update package description.
  * Switch to udisks2 runtime dependency, upstream switched to it,
    and Debian removed the udisks package.
  * Acknowledge ubuntu changes (with a *great* thanks to Logan Rosen,
    for reporting and the patch!
  * Remove X-Python*-Version control tag.
  * Add some (mostly useless, just trying to fix build warnings)
    build-dependencies:
    - gir1.2-gtk-3.0,
    - gir1.2-notify-0.7,
    - python-gi,
    - python3-gi

  [ Logan Rosen ]
  * Build-depend on xsltproc and docbook-xsl to fix FTBFS (Closes: #789453).

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 22 Jun 2015 08:31:44 +0200

python-udiskie (1.1.2-1) unstable; urgency=low

  * Initial release. Closes: #763112

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 11 Oct 2014 12:34:12 +0200

=== debian/control ===
Source: udiskie
Section: utils
Priority: optional
Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: asciidoc,
               debhelper (>=9),
               dh-python,
               docbook-xsl,
               python-keyutils,
               python3-all,
               python3-docopt,
               python3-gi,
               python3-keyutils,
               python3-setuptools,
               python3-yaml,
               xsltproc
Standards-Version: 3.9.7
Homepage: https://github.com/coldfix/udiskie
Vcs-Git: https://anonscm.debian.org/git/collab-maint/udiskie.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/udiskie.git

Package: udiskie
Architecture: all
Depends: gobject-introspection,
         python3-gi,
         python3-pkg-resources,
         udisks2,
         ${misc:Depends},
         ${python3:Depends}
Recommends: gir1.2-gtk-3.0,
            gir1.2-notify-0.7,
            notification-daemon,
            python3-keyutils
Breaks: python-udiskie (<<1.4.6-4~), python3-udiskie (<<1.4.6-4~)
Replaces: python-udiskie (<<1.4.6-4~), python3-udiskie (<<1.4.6-4~)
Description: automounter for removable media for Python
 udiskie is a front-end for UDisks written in Python. Its main purpose is
 automatically mounting removable media, such as CDs or flash drives. It has
 optional mount notifications, a GTK+ tray icon and user level CLIs for manual
 mount and unmount operations. The media will be mounted in a new directory
 under /media or /run/media/USER/, using the device name if possible.
 .
 This package is needed to support automounting removable media when
 nautilus is not available to control UDisks2.

Package: python-udiskie
Depends: udiskie, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package for python-udiskie
 This is a transitional dummy package (python-udiskie).
 It can safely be removed.

Package: python3-udiskie
Depends: udiskie, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package for python3-udiskie
 This is a transitional dummy package (python3-udiskie).
 It can safely be removed.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/udiskie/udiskie-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## udiskie 1.5.1

=== debian/changelog ===
udiskie (1.5.1-2) unstable; urgency=medium

  * Switch asciidoc to asciidoc-base (Closes: #850359)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Jan 2017 08:30:12 +0100

udiskie (1.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Jul 2016 12:44:39 +0200

udiskie (1.4.12-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-version to 3.9.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 May 2016 12:46:25 +0200

udiskie (1.4.9-2) unstable; urgency=medium

  [ Faheem Mitha ]
  * Add README.Debian explaining that some operation
    might require more privileges for the user (Closes: #822209)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 May 2016 22:03:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: asciidoc,
-               debhelper (>=9),
+Build-Depends: asciidoc-base,
+               debhelper (>=10),
                dh-python,
                docbook-xsl,
                python-keyutils,
@@ -14,7 +14,7 @@
                python3-setuptools,
                python3-yaml,
                xsltproc
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/coldfix/udiskie
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/udiskie.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/udiskie.git

## udiskie 1.7.0

=== debian/changelog ===
udiskie (1.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Mar 2017 08:16:47 +0200

udiskie (1.6.2-1) experimental; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Mar 2017 12:24:19 +0100

udiskie (1.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Update copyright.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Feb 2017 11:03:35 +0100

udiskie (1.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Feb 2017 09:41:12 +0100

## udiskie 1.7.1

=== debian/changelog ===
udiskie (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * Bump std-version to 4.1.1, no changes required
  * Bump copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Oct 2017 14:59:25 +0200

udiskie (1.7.0-4) unstable; urgency=medium

  * Fix build failure, remove install file 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Jul 2017 14:58:08 +0200

udiskie (1.7.0-3) unstable; urgency=medium

  * bump std version to 4.0.0
  * Drop old transitional python*-udiskie packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Jul 2017 12:41:34 +0200

udiskie (1.7.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jun 2017 11:29:38 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-setuptools,
                python3-yaml,
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/coldfix/udiskie
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/udiskie.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/udiskie.git
@@ -31,8 +31,6 @@
             gir1.2-notify-0.7,
             notification-daemon,
             python3-keyutils
-Breaks: python-udiskie (<<1.4.6-4~), python3-udiskie (<<1.4.6-4~)
-Replaces: python-udiskie (<<1.4.6-4~), python3-udiskie (<<1.4.6-4~)
 Description: automounter for removable media for Python
  udiskie is a front-end for UDisks written in Python. Its main purpose is
  automatically mounting removable media, such as CDs or flash drives. It has
@@ -42,21 +40,3 @@
  .
  This package is needed to support automounting removable media when
  nautilus is not available to control UDisks2.
-
-Package: python-udiskie
-Depends: udiskie, ${misc:Depends}
-Architecture: all
-Priority: extra
-Section: oldlibs
-Description: transitional dummy package for python-udiskie
- This is a transitional dummy package (python-udiskie).
- It can safely be removed.
-
-Package: python3-udiskie
-Depends: udiskie, ${misc:Depends}
-Architecture: all
-Priority: extra
-Section: oldlibs
-Description: transitional dummy package for python3-udiskie
- This is a transitional dummy package (python3-udiskie).
- It can safely be removed.

## udiskie 1.7.3

=== debian/changelog ===
udiskie (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3
  * Bump std-version to 4.1.2, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Dec 2017 11:09:27 +0100

udiskie (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Nov 2017 16:30:38 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-setuptools,
                python3-yaml,
                xsltproc
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://github.com/coldfix/udiskie
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/udiskie.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/udiskie.git

## udiskie 1.7.5

=== debian/changelog ===
udiskie (1.7.5-2) unstable; urgency=medium

  * Team upload

  [ Mikhail Morfikov <mmorfikov@gmail.com> ]
  * Add python3-distutils to runtime dependencies, used by the program
    itself (Closes: #900101)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 May 2018 09:15:00 +0200

udiskie (1.7.5-1) unstable; urgency=medium

  * New upstream version 1.7.5 (Closes: #899419)
    thanks upstream for the prompt fix!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 May 2018 17:21:52 +0200

udiskie (1.7.4-1) unstable; urgency=medium

  * New upstream version 1.7.4
  * Try to move gobject-introspection into a recommendency, probably not used directly  (Closes: #892042)
  * Bump std-version to 4.1.4.1, no changes required
  * VCS fields, move to salsa

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 19 May 2018 10:37:59 +0200

=== debian/control ===
--- 
+++ 
@@ -14,21 +14,22 @@
                python3-setuptools,
                python3-yaml,
                xsltproc
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4.1
 Homepage: https://github.com/coldfix/udiskie
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/udiskie.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/udiskie.git
+Vcs-Git: https://salsa.debian.org/debian/udiskie.git
+Vcs-Browser: https://salsa.debian.org/debian/udiskie
 
 Package: udiskie
 Architecture: all
-Depends: gobject-introspection,
-         python3-gi,
+Depends: python3-gi,
          python3-pkg-resources,
+         python3-distutils,
          udisks2,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: gir1.2-gtk-3.0,
             gir1.2-notify-0.7,
+            gobject-introspection,
             notification-daemon,
             python3-keyutils
 Description: automounter for removable media for Python

## udiskie 1.7.7

=== debian/changelog ===
udiskie (1.7.7-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream version 1.7.7
  * bump copyright years
  * Bump std-version to 4.3.0, no changes required

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Feb 2019 16:13:48 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-setuptools,
                python3-yaml,
                xsltproc
-Standards-Version: 4.1.4.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/coldfix/udiskie
 Vcs-Git: https://salsa.debian.org/debian/udiskie.git
 Vcs-Browser: https://salsa.debian.org/debian/udiskie

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/udiskie/udiskie-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## udiskie 2.1.0

=== debian/changelog ===
udiskie (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Feb 2020 09:47:04 +0100

udiskie (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * Bump std-version to 4.5.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Jan 2020 19:08:38 +0100

udiskie (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Jan 2020 22:57:04 +0100

udiskie (2.0.1-2) unstable; urgency=medium

  * Update copyright file
  * Add R^3=no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Dec 2019 12:56:51 +0100

udiskie (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * Bump std-version to 4.4.1, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 29 Dec 2019 12:53:18 +0100

udiskie (1.7.7-2) unstable; urgency=medium

  * Drop old Python2 keyutils dependency
  * Bump compat level to 12
  * Bump std version to 4.4.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Sep 2019 13:29:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: asciidoc-base,
-               debhelper (>=10),
+               debhelper-compat (= 12),
                dh-python,
                docbook-xsl,
-               python-keyutils,
                python3-all,
                python3-docopt,
                python3-gi,
@@ -14,10 +13,11 @@
                python3-setuptools,
                python3-yaml,
                xsltproc
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/coldfix/udiskie
 Vcs-Git: https://salsa.debian.org/debian/udiskie.git
 Vcs-Browser: https://salsa.debian.org/debian/udiskie
+Rules-Requires-Root: no
 
 Package: udiskie
 Architecture: all

## udiskie 2.2.0

=== debian/changelog ===
udiskie (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 May 2020 08:58:35 +0200

udiskie (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Apr 2020 13:59:15 +0200

## udiskie 2.3.2

=== debian/changelog ===
udiskie (2.3.2-2) unstable; urgency=medium

  * debian/patches/216.patch:
    - cherry-pick upstream proposed patch to correctly install zsh bash
      completion scripts (Closes: #982442)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Feb 2021 20:53:50 +0100

udiskie (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Jan 2021 13:16:18 +0100

udiskie (2.3.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gianfranco Costamagna ]
  * New upstream version 2.3.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Jan 2021 09:59:44 +0100

## udiskie 2.3.3

=== debian/changelog ===
udiskie (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3
  * Update copyright years.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Mar 2021 22:29:01 +0100

## udiskie 2.4.2

=== debian/changelog ===
udiskie (2.4.2-1) unstable; urgency=medium

  * New upstream version 2.4.2
  * Drop patch now part of upstream codebase
  * Bump copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Mar 2022 09:17:23 +0100

udiskie (2.4.1-3) unstable; urgency=medium

  * Fix previous patch, broke compatibility with Python3.7

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Feb 2022 19:52:34 +0100

udiskie (2.4.1-2) unstable; urgency=medium

  * debian/patches/242.patch:
    This should fix the import error with Debian and Ayatana (Closes: #992080)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Feb 2022 19:08:46 +0100

udiskie (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Feb 2022 22:00:44 +0100

udiskie (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Bump std-version to 4.6.0
  * Bump compat level to 13

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Dec 2021 12:10:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: asciidoc-base,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                docbook-xsl,
                python3-all,
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-yaml,
                xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/coldfix/udiskie
 Vcs-Git: https://salsa.debian.org/debian/udiskie.git
 Vcs-Browser: https://salsa.debian.org/debian/udiskie

## udiskie 2.5.0

=== debian/changelog ===
udiskie (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Oct 2023 09:51:09 +0200

## udiskie 2.5.2

=== debian/changelog ===
udiskie (2.5.2-2~build1) noble; urgency=medium

  * Noble upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Mar 2024 22:31:36 +0100

udiskie (2.5.2-2) unstable; urgency=medium

  * Drop dependency on distutils (Closes: #1065990)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Mar 2024 22:29:26 +0100

udiskie (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2
  * Bump copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jan 2024 08:58:52 +0100

udiskie (2.5.1-2) unstable; urgency=medium

  [ Gianfranco Costamagna
  * Team upload

  [ Matthias Urlichs ]
  * Add recommendation to gir1.2-appindicator3. (Closes: #1056720)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Nov 2023 12:25:38 +0100

udiskie (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1
  * Refresh patch for new upstream release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Nov 2023 08:13:25 +0100

=== debian/control ===
--- 
+++ 
@@ -23,11 +23,11 @@
 Architecture: all
 Depends: python3-gi,
          python3-pkg-resources,
-         python3-distutils,
          udisks2,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: gir1.2-gtk-3.0,
+Recommends: gir1.2-appindicator3,
+            gir1.2-gtk-3.0,
             gir1.2-notify-0.7,
             gobject-introspection,
             notification-daemon,

## udiskie 2.5.3

=== debian/changelog ===
udiskie (2.5.3-2) unstable; urgency=medium

  * Drop pkg_resources runtime dependency (Closes: #1083978)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Oct 2024 14:18:28 +0200

udiskie (2.5.3-1) unstable; urgency=medium

  * New upstream version 2.5.3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Apr 2024 20:44:41 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
 Package: udiskie
 Architecture: all
 Depends: python3-gi,
-         python3-pkg-resources,
          udisks2,
          ${misc:Depends},
          ${python3:Depends}

## udiskie 2.5.7

=== debian/changelog ===
udiskie (2.5.7-2) unstable; urgency=medium

  * Update copyright years
  * Switch to gir1.2-ayatanaappindicator3-0.1 (Closes: #1104433)
    - thanks a lot Matthias Urlichs for the bug and patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 May 2025 08:05:23 +0200

udiskie (2.5.7-1) unstable; urgency=medium

  * New upstream version 2.5.7
  * Bump std-version to 4.7.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Dec 2024 07:33:49 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-yaml,
                xsltproc
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/coldfix/udiskie
 Vcs-Git: https://salsa.debian.org/debian/udiskie.git
 Vcs-Browser: https://salsa.debian.org/debian/udiskie
@@ -25,7 +25,7 @@
          udisks2,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: gir1.2-appindicator3,
+Recommends: gir1.2-ayatanaappindicator3-0.1,
             gir1.2-gtk-3.0,
             gir1.2-notify-0.7,
             gobject-introspection,

## udiskie 2.5.8

=== debian/changelog ===
udiskie (2.5.8-1) unstable; urgency=medium

  * New upstream version 2.5.8
  * Bump std-version to 4.7.2, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 10:21:53 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-yaml,
                xsltproc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/coldfix/udiskie
 Vcs-Git: https://salsa.debian.org/debian/udiskie.git
 Vcs-Browser: https://salsa.debian.org/debian/udiskie

=== debian/rules ===
#!/usr/bin/make -f

#export PYBUILD_NAME=udiskie

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	$(MAKE) -C doc clean
	rm -f doc/udiskie-mount.8 doc/udiskie-umount.8
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) -C doc
	cp -f doc/udiskie.8 doc/udiskie-mount.8
	cp -f doc/udiskie.8 doc/udiskie-umount.8
	dh_auto_build

## udiskie 2.6.0

=== debian/changelog ===
udiskie (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Bump copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jan 2026 10:50:03 +0100

## udiskie 2.6.1

=== debian/changelog ===
udiskie (2.6.1-1) unstable; urgency=medium

  * Patch refresh
  * New upstream version 2.6.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Jan 2026 17:06:31 +0100
